summaryrefslogtreecommitdiff
path: root/include/init.sh
diff options
context:
space:
mode:
Diffstat (limited to 'include/init.sh')
-rw-r--r--include/init.sh10
1 files changed, 5 insertions, 5 deletions
diff --git a/include/init.sh b/include/init.sh
index e5e3f564..2dd9e88f 100644
--- a/include/init.sh
+++ b/include/init.sh
@@ -16,7 +16,7 @@ xbmkpath="$PATH"
eval "`setvars "" _nogit board reinstall versiondate aur_notice configdir \
datadir version xbmkpwd relname xbmkpwd xbmktmp python pyver xbmklocal \
- xbmklock`"
+ xbmklock cvxbmk cvchk`"
xbmk_init()
{
@@ -45,7 +45,7 @@ xbmkpkg()
eval "`setcfg "config/dependencies/$2"`"
chkvars pkg_add pkglist
- $pkg_add $pkglist || err "Cannot install packages"
+ x_ $pkg_add $pkglist
[ -n "$aur_notice" ] && \
printf "You need AUR packages: %s\n" "$aur_notice" 1>&2; :
@@ -134,12 +134,12 @@ xbmk_set_env()
xbmkcache="`findpath "$XBMK_CACHE"`" || \
err "Can't resolve cachedir: '$XBMK_CACHE'"
export XBMK_CACHE="$xbmkcache"
- [ -d "$XBMK_CACHE" ] || err "cachedir '$XBMK_CACHE' is a file"; :
+ [ ! -e "$XBMK_CACHE" ] || \
+ [ -d "$XBMK_CACHE" ] || err "cachedir '$XBMK_CACHE' is a file"; :
# if "y": a coreboot target won't be built if target.cfg says release="n"
# (this is used to exclude certain build targets from releases)
[ -z "${XBMK_RELEASE+x}" ] && export XBMK_RELEASE="n"
- [ "$XBMK_RELEASE" = "N" ] && export XBMK_RELEASE="n"
[ "$XBMK_RELEASE" = "Y" ] && export XBMK_RELEASE="y"
[ "$XBMK_RELEASE" = "y" ] || export XBMK_RELEASE="n"
@@ -200,7 +200,7 @@ xbmk_create_pathdirs()
(
# set up python v3.x in PATH, in case it's not set up correctly.
# see code above that detected the correct python3 command.
- cd "$XBMK_CACHE/xbmkpath" || err "can't cd $XBMK_CACHE/xbmkpath"
+ x_ cd "$XBMK_CACHE/xbmkpath"
x_ ln -s "`pybin "$python"`" python
) || err "Can't set up python symlink in $XBMK_CACHE/xbmkpath"; :
}